import Vue from 'vue'
import App from './App'
import store from '@/store/index'
import request from '@/common/request'
import util from '@/common/util.js';
import {
	imgHost
} from '@/common/env';
import uView from "uview-ui";
Vue.use(uView);

Vue.config.productionTip = false;

//挂载全局对象
//Vue.prototype.$store = store
Vue.prototype.$request = request
Vue.prototype.$util = util
Vue.prototype.$imgHost = imgHost
// 引入colorUI
Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	store,
	request,
	...App
})
app.$mount()
